This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

Show Volume type’s details

1 - 1.3

get /v1/volume-types/{volume_type_id}

Description

Show a Volume type’s details.

State ACTIVE (CURRENT)

VersionNot Before
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathvolume_type_id
required
Volume type ID
Example : c643ac35-3aec-43e6-b97a-3d6f666c5207
stringNone

Responses

HTTP CodeDescriptionSchema
200OKVolumeTypeDetailResponse
400Bad RequestNone
401UnauthorizedNone
500Internal Server ErrorNone

Example HTTP request

Request path

/v1/volume-types/{volume_type_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.3"

Example HTTP response

Response 200

{
    "description": "Volume type description",
    "extra_specs": {
        "multiattach": "<is> True"
    },
    "id": "c643ac35-3aec-43e6-b97a-3d6f666c5207",
    "name": "SSD"
}

2 - 1.2

get /v1/volume-types/{volume_type_id}

Description

Show a Volume type’s details.

State ACTIVE (SUPPORTED)

VersionNot Before
1.220260831

Parameters

TypeNameDescriptionSchemaDefault
pathvolume_type_id
required
Volume type ID
Example : c643ac35-3aec-43e6-b97a-3d6f666c5207
stringNone

Responses

HTTP CodeDescriptionSchema
200OKVolumeTypeDetailResponse
400Bad RequestNone
401UnauthorizedNone
500Internal Server ErrorNone

Example HTTP request

Request path

/v1/volume-types/{volume_type_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.2"

Example HTTP response

Response 200

{
    "description": "Volume type description",
    "extra_specs": {
        "multiattach": "<is> True"
    },
    "id": "c643ac35-3aec-43e6-b97a-3d6f666c5207",
    "name": "SSD"
}

3 - 1.1

get /v1/volume-types/{volume_type_id}

Description

Show a Volume type’s details.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
pathvolume_type_id
required
Volume type ID
Example : c643ac35-3aec-43e6-b97a-3d6f666c5207
stringNone

Responses

HTTP CodeDescriptionSchema
200OKVolumeTypeDetailResponse
400Bad RequestNone
401UnauthorizedNone
500Internal Server ErrorNone

Example HTTP request

Request path

/v1/volume-types/{volume_type_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Example HTTP response

Response 200

{
    "description": "Volume type description",
    "extra_specs": {
        "multiattach": "<is> True"
    },
    "id": "c643ac35-3aec-43e6-b97a-3d6f666c5207",
    "name": "SSD"
}

4 - 1.0

get /v1/volume-types/{volume_type_id}

Description

Show a Volume type’s details.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathvolume_type_id
required
Volume type ID
Example : c643ac35-3aec-43e6-b97a-3d6f666c5207
stringNone

Responses

HTTP CodeDescriptionSchema
200OKVolumeTypeDetailResponse
400Bad RequestNone
401UnauthorizedNone
500Internal Server ErrorNone

Example HTTP request

Request path

/v1/volume-types/{volume_type_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Example HTTP response

Response 200

{
    "description": "Volume type description",
    "extra_specs": {
        "multiattach": "<is> True"
    },
    "id": "c643ac35-3aec-43e6-b97a-3d6f666c5207",
    "name": "SSD"
}